org.eclipse.january.metadata

## Class DynamicConnectionInfo

- java.lang.Object
- - org.eclipse.january.metadata.DynamicConnectionInfo

- All Implemented Interfaces:
    Serializable, Cloneable, MetadataType

      public class DynamicConnectionInfo
      extends Object
      implements MetadataType

  This metadata is set by a remote dataset. It provides information about dropped data and received data while the dataset is connected. Not all remote datasets are forced to provide this information. This class is set in bundle org.eclipse.dawnsci.remotedataset.client as metadata on RemoteDatasets returned from the Data Server
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicConnectionInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MetadataType` | `clone()` Make a deep copy of metadata
    `boolean` | `equals(Object obj)`
    `long` | `getDroppedCount()`
    `long` | `getReceivedCount()`
    `int` | `hashCode()`
    `boolean` | `isConnected()`
    `void` | `setConnected(boolean connected)`
    `void` | `setDroppedCount(int droppedCount)`
    `void` | `setReceivedCount(int receivedCount)`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicConnectionInfo

          public DynamicConnectionInfo()

  - ### Method Detail

    - #### isConnected

          public boolean isConnected()

    - #### setConnected

          public void setConnected(boolean connected)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getReceivedCount

          public long getReceivedCount()

    - #### setReceivedCount

          public void setReceivedCount(int receivedCount)

    - #### getDroppedCount

          public long getDroppedCount()

    - #### setDroppedCount

          public void setDroppedCount(int droppedCount)

    - #### clone

          public MetadataType clone()

      Make a deep copy of metadata
      Specified by:
        `clone` in interface `MetadataType`
      Overrides:
        `clone` in class `Object`
      Returns:
        clone

Copyright © 2014–2019 Eclipse Foundation. All rights reserved.